org.keycloak.admin.client.resource

## Interface RoleResource

-     public interface RoleResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildren(List<RoleRepresentation> rolesToAdd)`
    `Set<RoleRepresentation>` | `getApplicationLevelChildren(String appName)`
    `Set<RoleRepresentation>` | `getChildren()`
    `Set<RoleRepresentation>` | `getRealmLevelChildren()`
    `void` | `remove()`
    `void` | `removeChildren(List<RoleRepresentation> rolesToRemove)`
    `RoleRepresentation` | `toRepresentation()`
    `void` | `update(RoleRepresentation roleRepresentation)`

- - ### Method Detail

    - #### toRepresentation

          @GET
          @Produces(value="application/json")
          RoleRepresentation toRepresentation()

    - #### update

          @PUT
          @Consumes(value="application/json")
          void update(RoleRepresentation roleRepresentation)

    - #### remove

          @DELETE
          void remove()

    - #### getChildren

          @GET
          @Path(value="composites")
          @Produces(value="application/json")
          Set<RoleRepresentation> getChildren()

    - #### getRealmLevelChildren

          @GET
          @Path(value="composites/realm")
          @Produces(value="application/json")
          Set<RoleRepresentation> getRealmLevelChildren()

    - #### getApplicationLevelChildren

          @GET
          @Path(value="composites/application/{appName}")
          @Produces(value="application/json")
          Set<RoleRepresentation> getApplicationLevelChildren(@PathParam(value="appName")
                                                                              String appName)

    - #### addChildren

          @POST
          @Path(value="composites")
          @Consumes(value="application/json")
          void addChildren(List<RoleRepresentation> rolesToAdd)

    - #### removeChildren

          @DELETE
          @Path(value="composites")
          @Consumes(value="application/json")
          void removeChildren(List<RoleRepresentation> rolesToRemove)

Copyright © 2014. All Rights Reserved.